Package org.eclipse.net4j.util.io

# Class ExtendedIOUtil.ClassLoaderClassResolver

java.lang.Object
org.eclipse.net4j.util.io.ExtendedIOUtil.ClassLoaderClassResolver

All Implemented Interfaces:
  `ExtendedIOUtil.ClassResolver`

Enclosing class:
  `ExtendedIOUtil`

public static class ExtendedIOUtil.ClassLoaderClassResolver extends Object implements ExtendedIOUtil.ClassResolver

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ClassLoaderClassResolver(ClassLoader classLoader)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`resolveClass(ObjectStreamClass v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassLoaderClassResolver

public ClassLoaderClassResolver(ClassLoader classLoader)

## Method Details

### resolveClass

public Class<?> resolveClass(ObjectStreamClass v) throws ClassNotFoundException

Specified by:
  `resolveClass` in interface `ExtendedIOUtil.ClassResolver`
Throws:
  `ClassNotFoundException`